// creator  : weidu.exe (version 23100)
// argument : SILENC.DLG
// game		 : .
// source	 : ./DATA/DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~SILENC~
//////////////////////////////////////////////////
// WARNING: this file contains non-trivial WEIGHTs
//////////////////////////////////////////////////

IF WEIGHT #3 /* Triggers after states #: 9 even though they appear after this state */
~NumTimesTalkedTo(0)
ReactionGT(LastTalkedToBy,NEUTRAL_UPPER)
~ THEN BEGIN 0 // from:
  SAY #3056 /* ~I... I see, Mazzy... And--And thank you.~ */
  IF ~~ THEN DO ~StartStore("stosilen",LastTalkedToBy())
~ EXIT
END

IF WEIGHT #4 /* Triggers after states #: 9 even though they appear after this state */
~NumTimesTalkedTo(0)
ReactionGT(LastTalkedToBy,HOSTILE_UPPER)
ReactionLT(LastTalkedToBy,FRIENDLY_LOWER)
~ THEN BEGIN 1 // from:
  SAY #3057 /* ~I thought you might... Now come, we've got a world to face, don't we girl?~ */
  IF ~~ THEN REPLY #6380 /* ~You have a point, Anomen. I will hear this man out.~ */ GOTO 4
  IF ~~ THEN REPLY #6381 /* ~Should I wish to hear your opinion I will ask for it.~ */ DO ~TakePartyGold(5)
StartStore("stosilen",LastTalkedToBy())
~ EXIT
END

IF WEIGHT #5 /* Triggers after states #: 9 even though they appear after this state */
~NumTimesTalkedTo(0)
ReactionLT(LastTalkedToBy,NEUTRAL_LOWER)
~ THEN BEGIN 2 // from:
  SAY #3058 /* ~Longlimbs!  Look at them!  Like grubworms scurryin' away from the light o' day.  All avoidin' pain, on the prowl fer pleasure.  Nay facin' uncertain futures.  Best all dead, I reckon.~ [KORGAN63] */
  IF ~~ THEN DO ~Wait(10)
Shout(1)
Enemy()
~ EXIT
END

IF ~~ THEN BEGIN 3 // from:
  SAY #3059 /* ~I did nay know ye were within earshot, girl.  'Twas a wee pondering, nothin' more.  I enjoy making fun of the big folk.~ */
  IF ~~ THEN REPLY #6382 /* ~Do not let your predilection for idiocy cloud your judgement this day. When the Order hears of this, we shall be hunted outlaws with no place to hide ourselves.~ */ GOTO 4
  IF ~~ THEN REPLY #6383 /* ~Don't insult my intelligence! (As if they could comprehend it!) If you wish to maintain this lie then I will be forced to confront Mae'Var with my suspicions.~ */ DO ~~ EXIT
END

IF ~~ THEN BEGIN 4 // from: 3.0 1.0
  SAY #3060 /* ~~ */
  IF ~~ THEN DO ~SetGlobal("NoPayment","GLOBAL",1)
Wait(10)
CreateCreature("GUARD",[0.0])
~ EXIT
END

IF ~~ THEN BEGIN 5 // from:
  SAY #3061 /* ~I know of what ye speak of, Mazzy.  I nay blind to it entirely.  Treachery, theft, plunder.  Hatred here, killing there.  Nay respect fer heritage or the Way.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #6 /* Triggers after states #: 9 even though they appear after this state */
~Global("Chapter","GLOBAL",7)
Global("SeenSanctuary","GLOBAL",0)
~ THEN BEGIN 6 // from:
  SAY #3062 /* ~With due respect, Lady Mazzy, 'tis not civil.  Longlimbs be victims of passion far more than me.  The brief lifetimes, I reckon, be the core of their rage.~ */
  IF ~~ THEN DO ~StartStore("stosilen",LastTalkedToBy())
~ JOURNAL #7123 /* ~Leaving the Island

I got the horn that Saemon needed, but Desharik caught us before we could cast off.  In the ensuing battle with his men, Saemon was killed... and that means that I have no way off the island.  I shall have to re-enter the asylum and find the magic portal that Saemon mentioned.  It is my only hope.~ */ EXIT
END

IF WEIGHT #7 /* Triggers after states #: 9 even though they appear after this state */
~Global("Chapter","GLOBAL",7)
Global("SeenSanctuary","GLOBAL",1)
~ THEN BEGIN 7 // from:
  SAY #3063 /* ~Lady Mazzy, sorry for any offense, truly, but I've cradled too many dyin' comrades and nay amount of resolve can keep the darkness at bay.~ */
  IF ~~ THEN DO ~StartStore("stosilen",LastTalkedToBy())
~ EXIT
END

IF WEIGHT #8 /* Triggers after states #: 9 even though they appear after this state */
~True()
~ THEN BEGIN 8 // from:
  SAY #3064 /* ~Out of respect for ye, I shall try.~ */
  IF ~~ THEN DO ~StartStore("stosilen",LastTalkedToBy())
~ EXIT
END

IF WEIGHT #1 ~StateCheck(Myself,STATE_CHARMED)
~ THEN BEGIN 9 // from:
  SAY #6384 /* ~I know what I'm doing, Anomen. Quiet yourself.~ */
  IF ~~ THEN DO ~StartStore("stosilen",LastTalkedToBy())
~ EXIT
END

IF ~~ THEN BEGIN 10 // from:
  SAY #9092 /* ~I would like that.~ */
  IF ~~ THEN EXIT
END
